image: python:3.9-slim

variables:
  GITLAB_URL: "$CI_SERVER_URL"
  GITLAB_GROUP: "$GROUP"

pages:
  stage: deploy
  script:
    - ls -a public
  needs:
    - create_report
  artifacts:
    paths:
      - public/

create_report:
  script:
    - pip install -r requirements.txt
    - python group_member_report.py -u $GITLAB_URL -g $GROUP $GIT_TOKEN
  artifacts:
    expose_as: 'members report'
    paths:
      - public/index.html
      - public/
